// This plugin enables fast changes to specific rule settings like espl or clanbase
// Id: plugin_rules.sma,v 1.4 20.02.2002 by |EEF| IzeBurn
// Edit by Sir Drink a lot (10.04.04)

#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

new STRING_VERSION[MAX_DATA_LENGTH] = "2.50.09_58";
#define MAX_FILES 30
new g_File[MAX_TEXT_LENGTH]="addons/adminmod/config/rules/rulesindex.cfg";
new g_Rules[MAX_FILES][MAX_TEXT_LENGTH];
new g_rulesloaded;

public plugin_init() {
	plugin_registerinfo("Rules PlugIn","This plugin enables fast changes to specific rule settings",STRING_VERSION);
	plugin_registercmd("admin_rules","admin_rules",ACCESS_PAUSE,"admin_rules <number>: Changes the Server Settings to <number> rule settings.");
	read_file();
	return PLUGIN_CONTINUE;
}

read_file(){
	new Text[MAX_TEXT_LENGTH];
	new iFileSize;
	new i;
	if(fileexists(g_File)){
		iFileSize=filesize(g_File);
		if(iFileSize>=MAX_FILES){
			iFileSize=MAX_FILES-1;
		}
		for(i=1;i<=iFileSize;i++){
			g_rulesloaded++;
			readfile(g_File,g_Rules[g_rulesloaded],i,MAX_TEXT_LENGTH);
		}
	}else{
		snprintf(Text,MAX_TEXT_LENGTH,"[Rules] Can't find ^"%s^"",g_File);
		selfmessage(Text);
	}
}

public admin_rules(HLCommand,HLData,HLUserName,UserIndex) {
	new Text[MAX_TEXT_LENGTH];
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	new iData;
	new i;
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);

	iData=strtonum(Data);
	if(iData==0 || iData > g_rulesloaded){
		selfmessage("");
		selfmessage("");
		selfmessage("[PLUGIN_RULES");
		selfmessage("--------------------------------------------------");
		selfmessage("--------------------------------------------------");
		selfmessage("The following rule settings can be choosen (by number):");
		selfmessage("");
		for(i=1;i<=g_rulesloaded;i++){
			snprintf(Text,MAX_TEXT_LENGTH,"* %i. %s",i,g_Rules[i]);
			selfmessage(Text);
		}
		selfmessage("");
		selfmessage("--------------------------------------------------");
		selfmessage("");
	}else{
		snprintf(Text,MAX_TEXT_LENGTH, "addons/adminmod/config/rules/%s",g_Rules[iData]);
		if(fileexists(Text)) {
			snprintf(Text,MAX_TEXT_LENGTH,"exec %s",Text);
			exec(Text);
			snprintf(Text,MAX_TEXT_LENGTH, "[PLUGIN_RULES] Settings are changed to %s settings!", g_Rules[iData]);
			selfmessage(Text);
			centersay(Text,7,63,187,239);
			exec("sv_restartround 5");
			log_command(User,Command,Data);
		}else{
			snprintf(Text, MAX_TEXT_LENGTH, "[PLUGIN_RULES] %s settings are not available!",g_Rules[iData]);
			log_command(User,Command,Data);
		}
	}
	return PLUGIN_HANDLED;
}